# -*- coding: utf-8 -*-
import math
import matplotlib.pyplot as plt
import meca_energie


## Extraction des donnees du fichier csv
# Appel à la fonction extraire_donnees, definie dans le fichier meca_energie
t, x, z = meca_energie.extraire_donnees('mouvement_plan_incline.csv')


## Definition des constantes
# Masse du camion en kg
m = ......
# Intensité de la pesanteur en N/kg
g = ......
# Pas temporel entre 2 positions
delta_t = t[1] - t[0]

# Appel de la fonction permettant de calculer une dérivee
# (fonction definie dans le fichier meca_energie)
# Calcul de la derivee de x et de z pour obtenir les vitesses selon les axes x/z
vx = meca_energie.derive(x, delta_t)
vz = meca_energie.derive(z, delta_t)

# Definition des listes amenees a contenir les valeurs des différentes energies
Epp = []
Ec = []
Em = []

# Calcul des energies pour chaque position du mobile
for i in range(len(t)):
    Epp.append(......)      # Formule de l'energie potentielle
    # Calcul de la vitesse v a partir des composantes du vecteur vitesse
    # math.sqrt() renvoie la racine carree
    v = math.sqrt(......)   # Formule de la vitesse
    Ec.append(......)       # Formule de l'energie cinetique
    Em.append(......)       # Formule de l'energie mecanique


### Representation graphique

# Definition des courbes


# Réglages axes et grille


# Labels du graphique


# Affichage de la legende et du graphique

